﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Projekteinteilung
{
    class Projekt
    {
        string name;
        string kurztitel;
        int maxTeilnehmerzahl;
        List<Teilnehmer> teilnehmer = new List<Teilnehmer>();
        public Projekt(string name, string kurztitel, int maxTeilnehmerzahl)
        {
            this.name = name;
            this.kurztitel = kurztitel;
            this.maxTeilnehmerzahl = maxTeilnehmerzahl;
        }
        public string Kurztitel { get { return kurztitel; } }
        public int FreiePlätze { get { return maxTeilnehmerzahl - teilnehmer.Count; } }
        public void FügeHinzu(Teilnehmer t)
        {
            teilnehmer.Add(t);
        }
        public override string ToString() // nicht im Video
        {
            return name + ": " + string.Join(", ", teilnehmer.ConvertAll(x => x.ToString()).OrderBy(x => x));
        }
    }

    class Teilnehmer
    {
        string name;
        Projekt projekt1;
        Projekt projekt2;
        Projekt projekt3;
        public Teilnehmer(string name, Projekt projekt1, Projekt projekt2, Projekt projekt3)
        {
            this.name = name;
            this.projekt1 = projekt1;
            this.projekt2 = projekt2;
            this.projekt3 = projekt3;
        }
        public Projekt Projekt(int w)
        {
            switch(w)
            {
                case 0: return projekt1;
                case 1: return projekt2;
                case 2: return projekt3;
            }
            return null;
        }
        public override string ToString() // nicht im Video
        {
            return name;
        }
    }
}
